# Automatic Updates

The below will setup nightly automatic update and reboots for the PiFrame. This is a really smart choice as it will ensure security updates are applied in a timely fashion.

``` sh

apt install unattended-upgrades
nano -w /etc/apt/apt.conf.d/50unattended-upgrades
    Unattended-Upgrade::Mail "user@domain.tld";
    Unattended-Upgrade::Automatic-Reboot "true";
    Unattended-Upgrade::Automatic-Reboot-WithUsers "true";
    Unattended-Upgrade::Automatic-Reboot-Time "02:00";
nano -w /etc/apt/apt.conf.d/20auto-upgrades
unattended-upgrades --dry-run --debug

```
